From e06482e83e66cadd62203e0a011b355d22980040 Mon Sep 17 00:00:00 2001
From: grizzlyuser <grizzlyuser@protonmail.com>
Date: Aug 15 2026 17:11:01 +0000
Subject: [PATCH 8/12] libre/iceweasel: 152.0.6-1, sync with changes from upstreams


---

diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index 983e60a..d6667ee 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -72,7 +72,7 @@
 
 pkgname=iceweasel
 epoch=1
-pkgver=152.0.4
+pkgver=152.0.6
 pkgrel=1
 _brandingver=149.0
 _brandingrel=1
@@ -193,7 +193,7 @@ validpgpkeys+=(
   BFA8008A8265677063B11BF47171986E4B745536 # Andreas Grapentin (branding source-ball)
   3954A7AB837D0EA9CFA9798925DB7D9B5A8D4B40 # bill-auger        (libre source-ball)
 )
-sha256sums=('fd89982202cda5353a27307d85d48902d46576d46d1c9e36d55740e63b5216bb'
+sha256sums=('ea220c4f8d19d4edaa20e6dadfd3c4aeb07dbed017ade2828fd814d660660f0e'
             'SKIP'
                                                                                 # $pkgname-symbolic.svg
             '73c06fe38a7663d7dc395e3d037b4375ff102917509ad6290a00d40bbac99f62'  # $pkgname.desktop
@@ -205,7 +205,7 @@ sha256sums_i686=('65395a49fd3d998f7e06a430bdd656ad453254dafcc34e21ec7931902d8c18
                  'ed3bb281697af7c4353a34067ffb4b18a971d40757bef2d6af3c8bf2d28d42d1'  # firefox-111.0.1-fdlibm.patch
                  '2fb39374fd3d80eea9e346032a2a4b2bc2e357dee7380855b24bcf19b1335d06'  # fix-i686-build-moz-1792159.patch
                  'c3ce181fbb0142055aa6dd17f3cda2ba6a1e54d7a689a8c6e9cce76aa40e6544') # fix-i686-xsimd-incomplete.patch
-b2sums=('8840923ae6c464fd8f8c54676e994897de7a6e9229d1b70fc798df261cc878ab1cfccad162eb0aeb8632cbddb52b7a809c06cde9bffc7f9cc5b7c288a60bf45c'
+b2sums=('d0a55f6f30a78516d244037d593ccb08f6803498b582508af35d5b2811097f00584c5b1760c488ae6e7073837b88087ff94ab36eee9af8d7a110350515fc94eb'
         'SKIP'
                                                                                                                                              # $pkgname-symbolic.svg (deleted)
         '79fd40b2e19a6f4f5fef4b12d19d12b15122feb3f813cc6ca892ba0d39167fb1efc6ce2da5c87b8ffbcc6dcc27488f5262fd21a308d48c0bfee189add3917029'   # $pkgname.desktop
@@ -262,14 +262,14 @@ mksource+=( https://repo.parabola.nu/other/iceweasel/${pkgname}_${_brandingver}-
 mksha256sums+=( 'a73e8dd2c8278a8022567193fa56a1935d3cdf15981bac9a7ca22563cb292d4f'   # *.branding.tar.xz
                 'SKIP'
                 '517eb3b251695979dffe995702f7668616b316b745ae212f4f2f46d5cbaf0c3e'   # 9001-FSDG-sync-remote-settings-with-local-dump.patch
-                '7c88d2e6ca71045be5a3cd8fc41b1dfbb11cf68b1e42099df070cdab3a2f4758'   # 9002-FSDG-preference-defaults.patch
+                'dcb1a20b8c81fedd24b628f5b8eec3209f1c58223559e8e754e2c5c3f5744f68'   # 9002-FSDG-preference-defaults.patch
                 '2cb40bc6a98a9f88edf1e945b5335136f80768934d71f81f6d184028531873ca'   # 9003-FSDG-urihandlers.patch
                 'f58e934dfc10e7d639caecd27424a6f55f0e9df976859b11b25c294c72298ef5'   # 9004-FSDG-misc.patch
                 '8ec0bc73034e38295494856bb1ae8ab7e225b2450189a5a01172b8a12b3c2516' ) # process-json-files.py
 mkb2sums+=( '26b63e9d4f0bc072c96bdae094bf399804b9b2472593ed15bead45d1c319823ad371b46c9e078c5fb0c546f898bf73cc2f45f8c92bc43c6d15047055ab026ca3'   # *.branding.tar.xz
             'SKIP'
             '1ac13c0d00365f6296fc307f3c9cf6f262d4d2aae3be46d8170a52760a2c15c8315e8276ecd1a9754b8f4854557351a11236f7f82d7425dcfb18a22651537baf'   # 9001-FSDG-sync-remote-settings-with-local-dump.patch
-            'c4a92f244c486034844bb097e33964368fc68f0cc385a213558f1179da38b19e00481b9f9f63f880945ea1c81b6a08bcadc259011c8ad81e106d321418d7d920'   # 9002-FSDG-preference-defaults.patch
+            '898fd23768d67ff3ebedd37bad510de86912c4f862da56b68ba509c3f3676345533e97eb16b5218d08d599837eaea5eab487cf47e6cfe01228ba200aa680e8d6'   # 9002-FSDG-preference-defaults.patch
             '90ca48afd995e574978fd22e77c55dd6253d4b3a0cb2ba34a0aebe904aef1eaa0ed3c52fcded5bedfb521f3f547e117c9587c18d61b5c338de41b0cf284f3b8c'   # 9003-FSDG-urihandlers.patch
             '09aeebadf3eb481b9b19f511de837676b8213a15b930ba6dd3f4653f975ae3936e1fc768c3c079c0137f3a54b1857b3f0331e4fe4596a0929710ec6ebec34261'   # 9004-FSDG-misc.patch
             '950d13abed98ccb939479859e249dd8a641537ee056f8e2dff1c3e4f608f1c6af450d666f2e3910f4f7daae43b2838e065591accb6a8a7b86da770dcb1f3999b' ) # process-json-files.py

